Search prescribers
curl --request GET \
--url https://api.byblend.com/api/v1/search/prescribers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/search/prescribers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/search/prescribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"rank": 0.7,
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"first_name": "Willard",
"middle_name": "Moises",
"last_name": "Donnelly",
"email": "Harmon43@gmail.com",
"phone": "6417383445",
"date_of_birth": "1990-01-01",
"gender": "Male",
"npi": "1234567890",
"dea": "F91234563",
"spi": "1234567890ABCDEF",
"driver_license_number": "B49188319",
"driver_license_state": "CA",
"is_active": true,
"credential_npi": "M.D./Ph.D",
"addresses": [
{
"address_1": "140 Lindgren Streets",
"city": "North Consueloburgh",
"state": "CA",
"zip_code": "02108",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"address_2": "Apt 227",
"country": "US",
"type": "practice"
}
],
"qualifications": [
{
"state": "CA",
"license_number": "1234567890",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"description": "Nurse Practitioner, Family",
"expiration_date": "2025-03-15",
"is_active": true
}
],
"credentials": [
{
"credential_code": "MD",
"credential_name": "Doctor of Medicine"
}
],
"restrictions": [
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"name": "Mupirocin",
"sku": "1234567890"
}
]
}
]
}Search
Search prescribers
Search prescribers by ID, name, email, phone, or a substring.
GET
/
api
/
v1
/
search
/
prescribers
Search prescribers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search query
Example:
"tabitha"
Optional limit on the number of results to return. Max is 100, default is 50.
Example:
10
Response
200 - application/json
Successful response with array of prescribers
Show child attributes
Show child attributes
⌘I